<?php

namespace CreoCode\ContaoTourismBundle\Models;

use Contao\Model\Collection;

use Contao\Model;
use Contao\Date;

/**
 * Reads and writes accommodations sets
 *
 * @property integer $id
 * @property integer $tstamp
 * @property string  $title
 * @property integer $jumpTo
 * @property boolean $protected
 * @property string  $groups
 *
 * @method static AccommodationsSetModel|null findById($id, array $opt=array())
 * @method static AccommodationsSetModel|null findByPk($id, array $opt=array())
 * @method static AccommodationsSetModel|null findByIdOrAlias($val, array $opt=array())
 * @method static AccommodationsSetModel|null findOneBy($col, $val, array $opt=array())
 * @method static AccommodationsSetModel|null findOneByTstamp($val, array $opt=array())
 * @method static AccommodationsSetModel|null findOneByTitle($val, array $opt=array())
 * @method static AccommodationsSetModel|null findOneByJumpTo($val, array $opt=array())
 * @method static AccommodationsSetModel|null findOneByProtected($val, array $opt=array())
 * @method static AccommodationsSetModel|null findOneByGroups($val, array $opt=array())
 *
 * @method static Collection|AccommodationsSetModel[]|AccommodationsSetModel|null findByTstamp($val, array $opt=array())
 * @method static Collection|AccommodationsSetModel[]|AccommodationsSetModel|null findByTitle($val, array $opt=array())
 * @method static Collection|AccommodationsSetModel[]|AccommodationsSetModel|null findByJumpTo($val, array $opt=array())
 * @method static Collection|AccommodationsSetModel[]|AccommodationsSetModel|null findByProtected($val, array $opt=array())
 * @method static Collection|AccommodationsSetModel[]|AccommodationsSetModel|null findByGroups($val, array $opt=array())
 * @method static Collection|AccommodationsSetModel[]|AccommodationsSetModel|null findMultipleByIds($val, array $opt=array())
 * @method static Collection|AccommodationsSetModel[]|AccommodationsSetModel|null findBy($col, $val, array $opt=array())
 * @method static Collection|AccommodationsSetModel[]|AccommodationsSetModel|null findAll(array $opt=array())
 *
 * @method static integer countById($id, array $opt=array())
 * @method static integer countByTstamp($val, array $opt=array())
 * @method static integer countByTitle($val, array $opt=array())
 * @method static integer countByJumpTo($val, array $opt=array())
 * @method static integer countByProtected($val, array $opt=array())
 * @method static integer countByGroups($val, array $opt=array())
 *
 */
class AccommodationsSetModel extends Model
{

	/**
	 * Table name
	 * @var string
	 */
	protected static $strTable = 'tl_accommodations_set';

}

class_alias(AccommodationsSetModel::class, 'AccommodationsSetModel');
