<?php

/**
 * BACK END GROUP
 */
array_insert($GLOBALS['BE_MOD'], 1, array('tourism'=>array()));

// Back end modules
array_insert($GLOBALS['BE_MOD'], 1, [
    'tourism' => [
        'accommodations' => [
            'tables'    => ['tl_accommodations_set', 'tl_accommodations', 'tl_content']
        ],
        'offers' => [
            'tables'    => ['tl_offers_set', 'tl_offers', 'tl_content']
        ]
    ]
]);

// Front end modules
array_insert($GLOBALS['FE_MOD'], 2, array
(
    'accommodations' => array
    (
        'accommodationslist' => 'CreoCode\ContaoTourismBundle\Modules\ModuleAccommodationsList',
        'accommodationsreader' => 'CreoCode\ContaoTourismBundle\Modules\ModuleAccommodationsReader'
    ),
	'offers' => array
	(
		'offerslist' => 'CreoCode\ContaoTourismBundle\Modules\ModuleOffersList',
		'offersreader' => 'CreoCode\ContaoTourismBundle\Modules\ModuleOffersReader'
	)
));

/**
 * Front end form fields
 */
array_insert($GLOBALS['TL_FFL'], 99, array
    (
        'checkboxAccommodations' => 'CreoCode\ContaoTourismBundle\Forms\FormCheckBoxAccommodations',
        'checkboxOffers' => 'CreoCode\ContaoTourismBundle\Forms\FormCheckBoxOffers',
    )
);

// Cron jobs

// Style sheet
if (\defined('TL_MODE') && TL_MODE == 'BE')
{
	$GLOBALS['TL_CSS'][] = 'bundles/contaotourism/css/backend.css|static';
}

// Register hooks
$GLOBALS['TL_HOOKS']['getSearchablePages'][] = array('CreoCode\ContaoTourismBundle\Classes\Accommodations', 'getSearchablePages');
$GLOBALS['TL_HOOKS']['getSearchablePages'][] = array('CreoCode\ContaoTourismBundle\Classes\Offers', 'getSearchablePages');

//$GLOBALS['TL_HOOKS']['generatePage'][] = array('contao_tourism.listener.generate_page', 'onGeneratePage');
$GLOBALS['TL_HOOKS']['replaceInsertTags'][] = array('contao_tourism.listener.insert_tags', 'onReplaceInsertTags');

/**
 * Register Models
 */
//$GLOBALS['TL_MODELS'][\CreoCode\ContaoTourismBundle\Models\AccommodationsModel::getTable()] = '\CreoCode\ContaoTourismBundle\Models\AccommodationsModel';
$GLOBALS['TL_MODELS'][\CreoCode\ContaoTourismBundle\Models\AccommodationsSetModel::getTable()] = '\CreoCode\ContaoTourismBundle\Models\AccommodationsSetModel';
$GLOBALS['TL_MODELS'][\CreoCode\ContaoTourismBundle\Models\OffersSetModel::getTable()] = '\CreoCode\ContaoTourismBundle\Models\OffersSetModel';

// Add permissions
$GLOBALS['TL_PERMISSIONS'][] = 'accommodations';
$GLOBALS['TL_PERMISSIONS'][] = 'accommodationsp';
$GLOBALS['TL_PERMISSIONS'][] = 'offers';
$GLOBALS['TL_PERMISSIONS'][] = 'offersp';

/*
 * Dropdown options
 */
Contao\System::loadLanguageFile('tl_tourism');
$GLOBALS['tourism']['currency']['options'] = array(
    'USD' => $GLOBALS['TL_LANG']['tl_tourism']['USD'], 
    'EUR' => $GLOBALS['TL_LANG']['tl_tourism']['EUR'], 
    'JPY' => $GLOBALS['TL_LANG']['tl_tourism']['JPY'], 
    'GBP' => $GLOBALS['TL_LANG']['tl_tourism']['GBP'], 
    'AUD' => $GLOBALS['TL_LANG']['tl_tourism']['AUD'], 
    'CAD' => $GLOBALS['TL_LANG']['tl_tourism']['CAD'], 
    'CHF' => $GLOBALS['TL_LANG']['tl_tourism']['CHF']
);
$GLOBALS['tourism']['currency']['weekdays'] = array(
    'monday' =>     $GLOBALS['TL_LANG']['tl_tourism']['monday'], 
    'tuesday' =>    $GLOBALS['TL_LANG']['tl_tourism']['tuesday'], 
    'wednesday' =>  $GLOBALS['TL_LANG']['tl_tourism']['wednesday'], 
    'thrusday' =>   $GLOBALS['TL_LANG']['tl_tourism']['thrusday'], 
    'friday' =>     $GLOBALS['TL_LANG']['tl_tourism']['friday'], 
    'saturday' =>   $GLOBALS['TL_LANG']['tl_tourism']['saturday'], 
    'sunday' =>     $GLOBALS['TL_LANG']['tl_tourism']['sunday']
);